Returns last known locations for all equipment. This can be optionally filtered by tags or specific equipment IDs.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment Statistics under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/equipment/locations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"location": {
"latitude": 122.142,
"longitude": -93.343,
"time": "2020-01-27T07:06:25Z",
"heading": 120,
"speed": 48.3
},
"name": "Crane A7"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of equipment IDs. Example: equipmentIds=1234,5678
The most recent equipment locations and pagination information
curl --request GET \
--url https://api.samsara.com/fleet/equipment/locations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"location": {
"latitude": 122.142,
"longitude": -93.343,
"time": "2020-01-27T07:06:25Z",
"heading": 120,
"speed": 48.3
},
"name": "Crane A7"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}